Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.beans
Class SimpleMenuItem

    java.lang.Object
      org.apache.struts.tiles.beans.SimpleMenuItem

All Implemented Interfaces:
  Serializable, MenuItem

    public class SimpleMenuItem

extends Object
implements MenuItem, Serializable

A MenuItem implementation. Used to read menu items in definitions.

See Also:
  Serialized Form

Constructor Summary
`SimpleMenuItem()` Constructor.

Method Summary
`String` | `getIcon()` Get icon property.
`String` | `getLink()` Get link property.
`String` | `getTooltip()` Get tooltip property.
`String` | `getValue()` Get value property.
`void` | `setIcon(String icon)` Set icon property.
`void` | `setLink(String link)` Set link property.
`void` | `setTooltip(String tooltip)` Set tooltip property.
`void` | `setValue(String value)` Set value property.
`String` | `toString()` Return String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleMenuItem

    public SimpleMenuItem()

  Constructor.

Method Detail

### setValue

    public void setValue(String value)

  Set value property.

  Specified by:
    `setValue` in interface `MenuItem`

### getValue

    public String getValue()

  Get value property.

  Specified by:
    `getValue` in interface `MenuItem`

### setLink

    public void setLink(String link)

  Set link property.

  Specified by:
    `setLink` in interface `MenuItem`

### getLink

    public String getLink()

  Get link property.

  Specified by:
    `getLink` in interface `MenuItem`

### setIcon

    public void setIcon(String icon)

  Set icon property.

  Specified by:
    `setIcon` in interface `MenuItem`

### getIcon

    public String getIcon()

  Get icon property.

  Specified by:
    `getIcon` in interface `MenuItem`

### setTooltip

    public void setTooltip(String tooltip)

  Set tooltip property.

  Specified by:
    `setTooltip` in interface `MenuItem`

### getTooltip

    public String getTooltip()

  Get tooltip property.

  Specified by:
    `getTooltip` in interface `MenuItem`

### toString

    public String toString()

  Return String representation.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.